/*
 * $Id: f_imageSubmitButton.js,v 1.6 2007/02/02 17:33:43 oeuillot Exp $
 */

/**
 * class f_imageSubmitButton
 *
 * @class f_imageSubmitButton extends f_imageButton
 * @author Olivier Oeuillot (latest modification by $Author: oeuillot $)
 * @version $Revision: 1.6 $ $Date: 2007/02/02 17:33:43 $
 */
var __prototype = {
	/**
	 * @method protected
	 * @param f_event event
	 * @return boolean
	 */
	f_performImageSelection: function(event) {		
		var form = f_core.GetParentForm(this);
		if (form) {
			form.submit();
			
		} else {
			f_core.Error(f_imageSubmitButton, "FORM component was not found !");
		}
				
		return true;
	}
}

new f_class("f_imageSubmitButton", null, null, __prototype, f_imageButton);
